NX Open C++ Reference Guide
|
Represents a @link Features::Cylinder Features::Cylinder@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateCylinderBuilder Features::FeatureCollection::CreateCylinderBuilder @endlink <br>
Default values. More...
Public Types | |
enum | Types { TypesAxisDiameterAndHeight, TypesArcAndHeight } |
the cylinder types More... | |
Public Member Functions | |
NXOpen::SelectICurve * | Arc () |
Returns the arc Created in NX5.0.0. | |
NXOpen::Axis * | Axis () |
Returns the axis Created in NX5.0.0. | |
NXOpen::GeometricUtilities::BooleanOperation * | BooleanOption () |
Returns the boolean option Created in NX5.0.0. | |
NXOpen::Expression * | Diameter () |
Returns the diameter. | |
NXOpen::Vector3d | Direction () |
Returns the cylinder direction. | |
NXOpen::Expression * | Height () |
Returns the height Created in NX5.0.0. | |
NXOpen::Point3d | Origin () |
Returns the cylinder origin. | |
bool | ParentAssociativity () |
Returns the option to keep associativity of the cylinder axis Created in NX8.0.0. | |
bool | ReverseDirection () |
Returns the reverse direction. | |
void | SetAxis (NXOpen::Axis *axis) |
Sets the axis Created in NX5.0.0. | |
void | SetDirection (const NXOpen::Vector3d &vector) |
Sets the cylinder direction. | |
void | SetOrigin (const NXOpen::Point3d &origin) |
Sets the cylinder origin. | |
void | SetParentAssociativity (bool parentAssociativity) |
Sets the option to keep associativity of the cylinder axis Created in NX8.0.0. | |
void | SetReverseDirection (bool reverse) |
Sets the reverse direction. | |
void | SetType (NXOpen::Features::CylinderBuilder::Types type) |
Sets the type Created in NX5.0.0. | |
NXOpen::Features::CylinderBuilder::Types | Type () |
Returns the type Created in NX5.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::Cylinder Features::Cylinder@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateCylinderBuilder Features::FeatureCollection::CreateCylinderBuilder @endlink <br>
Default values.
Property | Value |
---|---|
BooleanOption.Type |
Create |
Diameter.Value |
50.0 (millimeters part), 2.0 (inches part) |
Height.Value |
100.0 (millimeters part), 4.0 (inches part) |
ReverseDirection |
false |
Type |
AxisDiameterAndHeight |
Created in NX5.0.0.
NXOpen::SelectICurve* NXOpen::Features::CylinderBuilder::Arc | ( | ) |
Returns the arc
Created in NX5.0.0.
License requirements : None
NXOpen::Axis* NXOpen::Features::CylinderBuilder::Axis | ( | ) |
Returns the axis
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricUtilities::BooleanOperation* NXOpen::Features::CylinderBuilder::BooleanOption | ( | ) |
Returns the boolean option
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::CylinderBuilder::Diameter | ( | ) |
Returns the diameter.
This will be used only when the law type is Axis, Diameter, and Height
Created in NX5.0.0.
License requirements : None
NXOpen::Vector3d NXOpen::Features::CylinderBuilder::Direction | ( | ) |
Returns the cylinder direction.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
NXOpen::Expression* NXOpen::Features::CylinderBuilder::Height | ( | ) |
Returns the height
Created in NX5.0.0.
License requirements : None
NXOpen::Point3d NXOpen::Features::CylinderBuilder::Origin | ( | ) |
Returns the cylinder origin.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
bool NXOpen::Features::CylinderBuilder::ParentAssociativity | ( | ) |
Returns the option to keep associativity of the cylinder axis
Created in NX8.0.0.
License requirements : None
bool NXOpen::Features::CylinderBuilder::ReverseDirection | ( | ) |
Returns the reverse direction.
Created in NX5.0.0.
License requirements : None
void NXOpen::Features::CylinderBuilder::SetAxis | ( | NXOpen::Axis * | axis | ) |
Sets the axis
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
axis | axis |
void NXOpen::Features::CylinderBuilder::SetDirection | ( | const NXOpen::Vector3d & | vector | ) |
Sets the cylinder direction.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
vector | vector |
void NXOpen::Features::CylinderBuilder::SetOrigin | ( | const NXOpen::Point3d & | origin | ) |
Sets the cylinder origin.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
origin | origin |
void NXOpen::Features::CylinderBuilder::SetParentAssociativity | ( | bool | parentAssociativity | ) |
Sets the option to keep associativity of the cylinder axis
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
parentAssociativity | parentassociativity |
void NXOpen::Features::CylinderBuilder::SetReverseDirection | ( | bool | reverse | ) |
Sets the reverse direction.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
reverse | reverse |
void NXOpen::Features::CylinderBuilder::SetType | ( | NXOpen::Features::CylinderBuilder::Types | type | ) |
Sets the type
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
type | type |
NXOpen::Features::CylinderBuilder::Types NXOpen::Features::CylinderBuilder::Type | ( | ) |
Returns the type
Created in NX5.0.0.
License requirements : None